BYTE
UBYTE
SHORT
SHORT
INTEGER
UINTEGER
LONG
ULONG
LONGINT
ULONGINT
SINGLE
DOUBLE
ANY PTR
INTEGER PTR
STRING PTR
ZSTRING * 8 PTR
WSTRING * 2 PTR
ZSTRING * 5
STRING
STRING * 31
ZSTRING * 32
WSTRING * 32
UDT1
Zstring vs Zstring * N
ZSTRING
ZSTRING
ZSTRING * 1
ZSTRING * 32
ZSTRING
ZSTRING * 1
ZSTRING * 32
ZSTRING
ZSTRING * 1
ZSTRING * 32

procptr parameter types:
SUB()
SUB(AS BYTE)
SUB(AS UBYTE)
SUB(AS ZSTRING)
SUB(AS SHORT)
SUB(AS USHORT)
SUB(AS WSTRING)
SUB(AS INTEGER)
SUB(AS UINTEGER)
SUB(AS LONG)
SUB(AS ULONG)
SUB(AS LONGINT)
SUB(AS ULONGINT)
SUB(AS STRING)
SUB(AS ANY PTR)
SUB(AS INTEGER PTR PTR PTR)
SUB(AS SUB())
SUB(AS FUNCTION(AS BYTE) AS SHORT)
SUB(AS UDT1)

procptr parameter modes:
SUB(BYREF AS ANY)
SUB(AS INTEGER)
SUB(AS INTEGER)
SUB(BYREF AS INTEGER)
SUB(() AS INTEGER)

procptr function results:
FUNCTION() AS BYTE
FUNCTION() AS UBYTE
FUNCTION() AS SHORT
FUNCTION() AS USHORT
FUNCTION() AS INTEGER
FUNCTION() AS UINTEGER
FUNCTION() AS LONG
FUNCTION() AS ULONG
FUNCTION() AS LONGINT
FUNCTION() AS ULONGINT
FUNCTION() AS STRING
FUNCTION() AS ANY PTR
FUNCTION() AS INTEGER PTR PTR PTR
FUNCTION() AS SUB()
FUNCTION() AS FUNCTION(AS BYTE) AS SHORT
FUNCTION() AS UDT1

procptr return byref:
FUNCTION() BYREF AS BYTE
FUNCTION() BYREF AS UBYTE
FUNCTION() BYREF AS ZSTRING
FUNCTION() BYREF AS SHORT
FUNCTION() BYREF AS USHORT
FUNCTION() BYREF AS WSTRING
FUNCTION() BYREF AS INTEGER
FUNCTION() BYREF AS UINTEGER
FUNCTION() BYREF AS LONG
FUNCTION() BYREF AS ULONG
FUNCTION() BYREF AS LONGINT
FUNCTION() BYREF AS ULONGINT
FUNCTION() BYREF AS STRING
FUNCTION() BYREF AS ANY PTR
FUNCTION() BYREF AS INTEGER PTR PTR PTR
FUNCTION() BYREF AS SUB()
FUNCTION() BYREF AS FUNCTION(AS BYTE) AS SHORT
FUNCTION() BYREF AS UDT1

CONST bits, 0 PTRs:
INTEGER
CONST INTEGER

CONST bits, 1 PTR:
INTEGER PTR
INTEGER CONST PTR
CONST INTEGER PTR
CONST INTEGER CONST PTR

CONST bits, 2 PTRs:
INTEGER PTR PTR
INTEGER PTR CONST PTR
INTEGER CONST PTR PTR
INTEGER CONST PTR CONST PTR
CONST INTEGER PTR PTR
CONST INTEGER PTR CONST PTR
CONST INTEGER CONST PTR PTR
CONST INTEGER CONST PTR CONST PTR
